wiki:whatYouNeed
Last modified 9 years ago Last modified on 01/15/10 12:44:52

Things you will need

subversion-1.6.4
Java 1.6
Eclipse Galileo -- better an IDE
ANT -- plus add ons to enable JUnit tasks
Recent Browser e.g. Firefox (3.5)
Recent Mail Client e.g. Thunderbird
rpm to build dcache on debian systems

for docbook:
fop-0.95
docbook-style-xsl-1.74.1-1

Optional

Instead of Eclipse: Netbeans IDE 6.5
Mercurial Version 1.3
in order to let mercurial work: python 2.6

non Software Stuff

Get Email-Client Running
Test your linux, if it can print PDFs...
a GRID Certificate
Kopete with an Jabberaccount
maybe you need a virtual machine or two for your dCache installations and testing
An Subversion Account -- bother Tigran or Paul
Trac Account for Supporttickets and the wiki
Reviewboardaccount
get familiar with Hudson
Many accounts in various Sites/Organisations? depending on what you do...(to be completed)

others

get a short way to install a dCache on a virtual machine (e.g. Pauls Scrpit)
find out how to configure the dCache build path in eclipse/your IDE -- see dcachebuildpath
maybe anything the concerning "pretty print" of your IDE to follow coding style?

useful Bookmarks

Of course our Projectpage:
http://www.dcache.org/
Desy Tel.Book:
http://www.desy.de/cgi-bin/pbook.pl
Formulars:
http://internal.desy.de/hamburg/index_ger.html
Our Web-SVN:
http://svn.dcache.org/WebSVN/
Reviewboard:
http://rb.dcache.org/dashboard/
Ticketsystem:
http://www.dcache.org/rt
Wiki:
http://trac.dcache.org/projects/dcache/wiki
Hudson:
http://svn.dcache.org/build//
Google Calendar:
https://www.google.com/calendar/render

Jan
11.11.09